//---------------------------------------------------------------------------

#ifndef FMainH
#define FMainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "ZylCustomGPSReceiver.hpp"
#include "ZylUdpGPSReceiver.hpp"

//---------------------------------------------------------------------------
class TfrmMain : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label13;
        TButton *btnStart;
        TButton *btnStop;
        TMemo *memRaw;
        TGroupBox *GroupBox1;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label3;
        TLabel *Label4;
        TEdit *efLatDeg;
        TEdit *efLatMin;
        TEdit *efLatSec;
        TEdit *efLatDir;
        TGroupBox *GroupBox2;
        TLabel *Label5;
        TLabel *Label6;
        TLabel *Label7;
        TLabel *Label8;
        TEdit *efLongDeg;
        TEdit *efLongMin;
        TEdit *efLongSec;
        TEdit *efLongDir;
        TGroupBox *GroupBox3;
        TLabel *Label9;
        TLabel *Label10;
        TLabel *Label11;
        TLabel *Label12;
        TEdit *efAlt;
        TEdit *efSpeed;
        TEdit *efHeading;
        TEdit *efSatCount;
        TEdit *efPort;
        TLabel *Label14;
        TZylUdpGPSReceiver *cmpZylGPSReceiver;
        void __fastcall btnStartClick(TObject *Sender);
        void __fastcall btnStopClick(TObject *Sender);
        void __fastcall cmpZylGPSReceiverAltitudeChange(TObject *Sender,
          const Extended Value);
        void __fastcall cmpZylGPSReceiverLongitudeChange(TObject *Sender,
          const int Degree, const int Minute, const Extended Second,
          const TCardinalPoint Direction);
        void __fastcall cmpZylGPSReceiverLatitudeChange(TObject *Sender,
          const int Degree, const int Minute, const Extended Second,
          const TCardinalPoint Direction);
        void __fastcall cmpZylGPSReceiverHeadingChange(TObject *Sender,
          const Extended Value);
        void __fastcall cmpZylGPSReceiverPosition3DChange(TObject *Sender,
          const Extended Latitude, const Extended Longitude,
          const Extended Altitude);
        void __fastcall cmpZylGPSReceiverPosition2DChange(TObject *Sender,
          const Extended Latitude, const Extended Longitude);
        void __fastcall cmpZylGPSReceiverSpeedChange(TObject *Sender,
          const Extended Value);
        void __fastcall cmpZylGPSReceiverDisconnect(TObject *Sender,
          const int Port);
        void __fastcall cmpZylGPSReceiverConnect(TObject *Sender,
          const int Port);
        void __fastcall cmpZylGPSReceiverReceive(TObject *Sender,
          AnsiString Buffer);
private:	// User declarations
public:		// User declarations
        __fastcall TfrmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmMain *frmMain;
//---------------------------------------------------------------------------
#endif
